#ifndef _GUIDS_H
#define _GUIDS_H

#define LOCATE_GUID(guid, str, strname, len, found_str, show_size) \
	pos = find_guid(guid, str, len); \
	if (pos) \
	{ \
	  printf("%s[0x%03lx] = %s", strname, (unsigned long)(pos - str), found_str); \
	  if (show_size) \
	  { \
	    pos += 16; \
	    printf(" (%lu bytes)\n", *((unsigned long *)(pos))); \
  	  } \
	  else putchar('\n'); \
        }

extern unsigned char guid_header[16];
extern unsigned char guid_header2[16];
extern unsigned char guid_file_header[16];
extern unsigned char guid_stream_header[16];

extern unsigned char guid_data_chunk[16];

extern unsigned char guid_content_type[16];

extern unsigned char guid_audio_stream[16];
extern unsigned char guid_video_stream[16];
extern unsigned char guid_unknown_stream[16];
extern unsigned char guid_audio_conceal_none[16];
extern unsigned char guid_audio_conceal_interleaved[16];
extern unsigned char guid_video_conceal_none[16];

extern unsigned char guid_url[16];

extern unsigned char guid_comment[16];

extern unsigned char guid_bitrates_1[16];
extern unsigned char guid_bitrates_2[16];

extern unsigned char guid_unknown_1[16];
extern unsigned char guid_unknown_2[16];
extern unsigned char guid_unknown_3[16];

#endif // _GUIDS_H
