#ifndef _MISC_H
#define _MISC_H

extern void print_time(unsigned long timecode);
extern void print_hex(unsigned char *str, unsigned short length, int index);

extern unsigned char *find_guid(unsigned char *guid, unsigned char *buf, unsigned short length);

// asfrecorder functions

extern char *base64enc(char *fmt, ...);

extern unsigned long get_data(unsigned char **bp, unsigned int type);
extern void get_quad(unsigned char *pos, unsigned long *hi, unsigned long *lo);
extern int write_quad(int fd, unsigned long hi, unsigned long lo);
extern void get_long(unsigned char *pos, unsigned long *val);
extern void put_long(unsigned char *pos, unsigned long val);
extern int write_long(int fd, unsigned long val);
extern void get_short(unsigned char *pos, unsigned short *val);
extern int write_short(int fd, unsigned short val);
extern void quad_subtraction(unsigned long *dst_hi, unsigned long *dst_lo, unsigned long hi, unsigned long lo);

#endif // _MISC_H
